<?php
session_start();
include_once('../../config/#Config.php');
if(!$_SESSION['UserName']){
die('<script>window.location.href=\''.$config['site']['url'].'index.php\';</script>');
} else {
$get_AD = mysqli_query($conn, "Select * From config_admin WHERE Account = '".$_SESSION['UserName']."'");
if(!mysqli_num_rows($get_AD)){
	die('Không đủ quyền.');
}
if(isset($_POST['sv'])&&isset($_POST['top'])&&isset($_POST['timestart'])&&isset($_POST['timeend'])){
			// tạo code
			$Cover_Start = strtotime(str_replace('/','-',$_POST['timestart'])); 
			$Cover_End   = strtotime(str_replace('/','-',$_POST['timeend']));
			if($Cover_Start == "" or $Cover_Start == null or $Cover_End == "" or $Cover_End == null){
 $return['code'] = 1;
 $return['text'] = 'Thời gian Bắt đầu hoặc Kết thúc có định dạng là 00/00/0000';					
			} else {
			//Select TOP ID
			$get_ID = mysqli_fetch_array(mysqli_query($conn,"Select * From duatop_setting WHERE ID = '".$_POST['idevent']."'"),MYSQLI_ASSOC);
				if($get_ID['ID']){
					mysqli_query($conn, "UPDATE duatop_setting Set Server = N'".$_POST['sv']."',Title = '".$_POST['top']."',TimerStart = '$Cover_Start',TimerEnd = '$Cover_End' WHERE ID = '".$_POST['idevent']."'");
 $return['code'] = 0;
 $return['text'] = 'Chỉnh sữa thành công. Hãy Load lại trang';
				} else {
 $return['code'] = 1;
 $return['text'] = 'Event này không tồn tại.';					
				}
		}
} else {
 $return['code'] = 1;
 $return['text'] = 'Vui lòng nhập đầy đủ theo yêu cầu.';
}

		echo json_encode($return);
		exit();	
}
?>